Get payment
Retrieve a Payment object (using a specific payment_id).
Authorization: customer_token
Response fields
Single Payment object, containing information on the Payment.
fees (array)
Details on the fee(s) to be charged. Returns an empty array if no fees will be charged.
payment_details (object)
Details describing the Payment.
processor_details (object, optional)
Additional details on how the payment was processed.
result (object, optional)
Additional details on the payment processing result.
references (object, optional)
Additional references for the Payment (e.g. transaction IDs generated by Finverse or the payment gateway).
payment_method (object, optional)
Details on the payment method authorized by the end-user. Refer to the Payment Method data model in GET /payment_users/{user_id}/payment_methods for details on the Payment Method object.
Limitations:
-
Payment Method object is not returned for one-time manual bank transfers (
payment.type=MANUAL, e.g. FPS/PayNow bank transfers).- These are payments initiated by Payment Links where end-users “push” funds to the recipient bank account. No payment method is created or stored in Finverse systems.
-
Payment Method object is returned, but without a
payment_method_id****, for some card payments with Future Payments disabled.-
These are one-time card payments initiated by Payment Links. In some cases (depending on the external payment gateway through which the payment is processed), no payment method is created or stored in Finverse systems, so no
payment_method_idis available. -
However, some card details may still be returned in the
payment_method.card.card_detailsobject, for informational purposes (if available from the external payment gateway).
-
recipient (object), sender (object)
The recipient and sender objects include a Payment User object for each of the counterparties of a payment. Refer to the Payment User data model in GET /payment_users/{payment_user_id} for details on the Payment User object.
Note: Some Payment User metadata fields are omitted for clarity (e.g. created_at, metadata, updated_at).
recipient_account (object), sender_account (object)
The recipient_account and sender_account objects include a Payment Account object for each of the counterparties of a payment. Refer to the Payment Account object data model in GET /payment_users/{user_id}/payment_accounts for details on the Payment Account object.
Note: Some Payment Account metadata fields are omitted for clarity (e.g. created_at, metadata, updated_at).
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
payment id
Response
Successful
Amount of the payment (in minor currency unit)
100
Total amount of the payment including any transaction fee surcharge_amount paid by the sender (in minor currency unit). See surcharge_amount on transaction fee surcharges.
100
Transaction fee surcharge_amount paid by the sender, if any surcharge has been configured (in minor currency unit). Transaction fee surcharges are off by default, but can be set for specific payment methods, or for custom scenarios (e.g. based on transaction amount, payment flow, etc). Contact [email protected] to configure surcharges.
100
Timestamp when the payment was first created
Currency of the payment (e.g. HKD)
"HKD"
Details on why the payment failed (returned when status = FAILED). Note: this is used to detail any asynchronous e errors occuring after payment creation; any synchronous errors (e.g. API validation errors, real-time payment errors) will instead be returned directly during POST /payments.
Details on the fee(s) to be charged
Customer-supplied attributes in key:value format. E.g. employer_name: Apple Inc
Details on the payment
Finverse Payment ID for this payment. Always unique. Creating a payment with different idempotency keys will result in two payments with different IDs.
Details on the payment method
(TO BE DEPRECATED) Finverse unique ID for the payment method
Details on the recipient of the payment
Details on the recipient's account for the payment (i.e. the Customer App's settlement account at Finverse)
Details on the sender of the payment
(IN DEVELOPMENT) Details on the Sender's source institution and account, which is funding the payment
Current status of the payment. Possible values: CREATED, AUTHORIZATION_REQUIRED, PROCESSING, SUBMITTED, EXECUTED, CANCELLED, FAILED
AUTHORIZATION_REQUIRED, AUTHORIZING, PROCESSING, SUBMITTED, EXECUTED, FAILED, REVOKED, CANCELLED, CREATED Specified payment type. Possible values: - CARD: payment via card gateway (e.g. Stripe) - MANDATE: direct debit bank payment - MANUAL: manual bank transfer (e.g. FPS, PayNow) - SINGLE: not used (reserved for future use)
MANDATE, SINGLE, CARD, MANUAL, WALLET Timestamp of the last update to the payment's record